curl --request GET \
--url https://api-staging.unbridaled.ai/api/v2/merchant_templates/list \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-staging.unbridaled.ai/api/v2/merchant_templates/list"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-staging.unbridaled.ai/api/v2/merchant_templates/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"clarity": "VS1",
"color": "F",
"grade_name": "ideal",
"group": "DEFAULT",
"label": "IDEAL",
"merchant_uuid": null,
"order": null,
"position": 1,
"uuid": "DEFAULT_IDEAL"
},
{
"clarity": "VS2",
"color": "H",
"grade_name": "excellent",
"group": "DEFAULT",
"label": "PREMIUM",
"merchant_uuid": null,
"order": null,
"position": 2,
"uuid": "DEFAULT_PREMIUM"
},
{
"clarity": "SI1",
"color": "I",
"grade_name": "very good",
"group": "DEFAULT",
"label": "STANDARD",
"merchant_uuid": null,
"order": null,
"position": 3,
"uuid": "DEFAULT_STANDARD"
},
{
"clarity": "VVS2",
"color": "G",
"grade_name": "very good",
"group": "165444223065",
"label": "NO_LABEL",
"merchant_uuid": "3b12e051-7e22-466e-ac67-483493f17c7d",
"order": "none",
"position": 1,
"uuid": "1d0292f2-2048-45be-8a36-44085fd1ee32"
},
{
"clarity": "VS1",
"color": "G",
"grade_name": "ideal",
"group": "165444223065",
"label": "NO_LABEL",
"merchant_uuid": "3b12e051-7e22-466e-ac67-483493f17c7d",
"order": "none",
"position": 2,
"uuid": "38b5c949-69e8-40ab-b731-c86308fe17fe"
}
]List Merchant Templates
Retrieve a list of merchant templates, including both predefined and default templates. Merchant templates define structured configurations for AI-powered diamond searches, allowing merchants to create curated diamond collections based on specific attributes.
Each template belongs to a group, which ensures that diamonds from different templates within the same group can be displayed together in search results. Groups function similarly to collections in e-commerce platforms like Shopify, making it easy to organize and reuse different predefined templates for a consistent shopping experience.
This endpoint is useful for merchants who want to retrieve their available AI-driven search templates and leverage groups to efficiently manage and customize their diamond offerings.
For more details on merchant templates and AI-curated results, refer to the documentation: AI Curated Results.
Returns
A list of merchant template objects.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.